;;; FLX_PLAY.LSP
;;; ================================================================
;;; Provided by FELIX Computer Aided Technologies GmbH 1995-96
;;; ================================================================
;;; Created: Jan 20, 1996 vp
;;; Changed: Sep 29, 1996 vp
;;;          Nov 07, 1997 ht
;;; ================================================================
;;; This file is called by FLX_MAIN.LSP
;;; ================================================================

(defun FLX_PROPLAYER( / DlgInit ent entlst plyent sl laylst newlay selset idx)

    ;;; Dialog Initialization Function

    (defun DlgInit ( / s1)
	 (if FLX$WIN95 (foreach n 
			 '("IDCANCEL" "IDOK" "IDHELP" "layer" "Static1")
         (Dlg_TileSetFont n 2)
     ))
     (Dlg_TileAction "IDCANCEL" "(setq newlay nil)(DLG_DialogDone)")
     (Dlg_TileAction "IDOK" "(setq newlay (Dlg_TileGet \"layer\")) (DLG_DialogDone)")
     (Dlg_TileAction "layer" 
        "(if (= $reason 4) (progn (setq newlay (Dlg_TileGet \"layer\")) (DLG_DialogDone)))"
     )
     (setq laylst '())
	 (if (setq s1 (tblnext "LAYER" T)) (progn
		 (setq laylst (cons (cdr (assoc 2 s1)) laylst))
		 (while (setq s1 (tblnext "LAYER")) 
			 (setq laylst (append laylst (list (cdr (assoc 2 s1)))))
		 )
	 ))
         (Dlg_ListAction "layer" laylst)
     )

    ;;; Main

    (FLX_FUNC_INIT)
    (setq selset (ssget))
    (if (eq (type selset) 'PICKSET) 
     (progn 
      (if (FLX_DLGDSP "flx_dlg" "LayerModify" "(princ)" "(DlgInit)") (princ) (exit))
      (if (eq (type newlay) 'STR)
	(progn
		(setq	 newlay (nth (atoi newlay) laylst) 
			 newlay (cons 8 newlay)
			 idx (sslength selset)								
		)
		(while 
			(and 
				(<= 0 (setq idx (1- idx)))
				(setq ent (ssname selset idx))
				(setq entlst (entget ent))
			) 
			(entmod (subst newlay (assoc 8 entlst) entlst))
			(if 
				(= "POLYLINE" (cdr (assoc 0 entlst)))
				(progn
					(setq plyent ent)
					(while
	 				  (and
						(/= "SEQEND" (cdr (assoc 0 entlst)))
						(setq ent (entnext ent))
						(setq entlst (entget ent))
					  )
						(entmod (subst newlay (assoc 8 entlst) entlst))
				)
			)
			(entupd plyent)
		)
	  )
	) 
       )
      )
    )			 
    (FLX_FUNC_EXIT)
    (princ)
)

(princ)
